Subject: Re: [Bitcoin-development] Bitcoin Protocol Specification

From: Mike Hearn <[email-masked]>
Date: Wed, 9 Jul 2014 13:57:58 +0200

On Tue, Jul 8, 2014 at 10:04 PM, Matt Whitlock <[email-masked]>
wrote:

> Is anyone working on a similar specification document for Satoshi's P2P
> protocol?  I know how blocks and transactions are structured and verified,
> but I'm interested in knowing how they're communicated over the network.

There's a high level guide here:

https://bitcoin.org/en/developer-guide#p2p-network

It's not a protocol specification however, more a lay-of-the-land type
description. The protocol is not very complicated however. The wiki page
describes it adequately. It's basically just a framing mechanism with
excessively aggressive checksumming, a version handshake, an inventory
mechanism to cut down on bandwidth usage, the alerts, and that's about it.